!
! This sections does the sequential sort
! of an array A
!

MaxValSub = 1

DO J = 1, NumEle - 1
   DO I = J, NumEle
      IF ( A(I) > A(MaxValSub) ) THEN
         MaxValSub = I
      END IF
   END DO 
   Tmp = A(J)
   A(J) = A(MaxValSub)
   A(MaxValSub) = Tmp
END DO
